<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<c:set var="url" value="${bookingComponent.breadCrumbTrail['HUBSUMMARY']}"/>

<fmt:formatNumber value="${bookingComponent.totalAmount.amount-bookingInfo.calculatedDiscount.amount}" var="totalCostingLine" type="number" pattern="####.##" maxFractionDigits="2" minFractionDigits="2" />
<c:set value="${totalCostingLine}" var="totalCostingLine" scope="page"/>
<c:set var="totalcost" value="${fn:split(totalCostingLine, '.')}" />


<fmt:formatNumber value="${bookingComponent.totalAmount.amount-bookingInfo.calculatedDiscount.amount}" var="totalCostingLine" type="number" pattern="####" maxFractionDigits="2" minFractionDigits="2"/>
<c:set value="${totalCostingLine}" var="totalCostingLine" scope="page"/>
<c:set var="totalcost" value="${fn:split(totalCostingLine, '.')}" />


<div class="component passenger-section marg-bottom-20">



<div class="section-heading accordion-trigger" id='summary-panel' >
	<h2 class="icon-v2 icon-TUI_Sun dark-blue">
		<span class="tui-font fl marg-left-20">holiday summary</span>
	</h2>
	<span class="fr icon-down icon-v2 blue-text dis-inblock icon-collapse-expand "></span>
	</div>


	<div class="summary-details accordion-content">
			<div class="summary-panel">
				<div class="summary-breakdown">
					<div>
						<div class="leftAlign">
    <div class="breakdown inline marg-bottom-10">
		 <div class="sum_head_pac_wrap">

		<p class="title summary-title"><c:out escapeXml="false" value='${bookingComponent.accommodationSummary.accommodation.hotel}' /> 

			<p class="grey-med semi-title marg-bottom-10"><c:if test="${not empty bookingComponent.accommodationSummary.accommodation.resort}">
					<c:out value="${bookingComponent.accommodationSummary.accommodation.resort}" escapeXml="false" />, 
				</c:if>
				<c:if test="${not empty bookingComponent.accommodationSummary.accommodation.destination}">
					<c:out value="${bookingComponent.accommodationSummary.accommodation.destination}" />, 
				</c:if>
				<c:if test="${not empty bookingComponent.accommodationSummary.accommodation.resort || not empty bookingComponent.accommodationSummary.accommodation.destination}">
					<c:if test="${not empty bookingComponent.accommodationSummary.accommodation.country}">
				<c:out value="${bookingComponent.accommodationSummary.accommodation.country}" />
				</c:if>
				</p>
				</c:if></p>

		</div>
        <ul class="square brown grey-med summary-break">

	

            <li><c:out value="${bookingComponent.accommodationSummary.duration}" />
                                        <c:choose>
							                 <c:when test="${bookingComponent.accommodationSummary.duration == 1}">
								                    Day Trip
							                 </c:when>
							                 <c:otherwise>
								                   Nights
							                 </c:otherwise>
						                </c:choose></li>




            <li> <c:set var="numAdults" value="0"/>
												<c:set var="numChildren" value="0"/>
												<c:set var="numSeniors" value="0"/>
												<c:forEach var="passengerRoomSummary" items="${bookingComponent.passengerRoomSummary}" varStatus="status">
													<c:forEach var="passenger" items="${passengerRoomSummary.value}" varStatus="passen">
														<c:set var="noOfPassengers" value="${noOfPassengers+1}"/>
														<c:if test="${passenger.ageClassification=='ADULT'}" >
															<c:set var="numAdults" value="${numAdults+1 }"/>
														</c:if>
														<c:if test="${passenger.ageClassification=='CHILD' || passenger.ageClassification=='INFANT'}" >
															<c:set var="numChildren" value="${numChildren+1 }"/>
														</c:if>
														<c:if test="${passenger.ageClassification=='SENIOR'|| passenger.ageClassification=='SENIOR2'}" >
															<c:set var="numSeniors" value="${numSeniors+1 }"/>
														</c:if>
													</c:forEach>
												</c:forEach>
												<c:if test="${numAdults>0}">
													<c:out value="${numAdults}"/>
													<c:choose>
														<c:when test="${numAdults>1}">Adults</c:when>
														<c:otherwise>Adult</c:otherwise>
													</c:choose>
												</c:if>
												<c:if test="${numAdults>0 && numSeniors>0}">,
												</c:if>
												<c:if test="${numSeniors>0}">
													<c:out value="${numSeniors}"/>
													<c:choose>
														<c:when test="${numSeniors>1}">Seniors</c:when>
														<c:otherwise>Senior</c:otherwise>
													</c:choose>
												</c:if>
												<c:if test="${numChildren>0 && (numAdults>0 || numSeniors>0)}">,
												</c:if>
												<c:if test="${numChildren>0}">
													<c:out value="${numChildren}"/>
													<c:choose>
														<c:when test="${numChildren>1}">Children</c:when>
														<c:otherwise>Child</c:otherwise>
													</c:choose>
													(
													<c:forEach var="passengerRoomSummary" items="${bookingComponent.passengerRoomSummary}" varStatus="status">
														<c:forEach var="passenger" items="${passengerRoomSummary.value}" varStatus="passen">
															<c:if test="${passenger.ageClassification=='CHILD' || passenger.ageClassification=='INFANT'}" >
																<c:out value="${passenger.age}"/>
																<c:choose>
																	<c:when test="${passenger.age > 1}">yrs</c:when>
																	<c:otherwise>yr</c:otherwise>
																</c:choose>
																<c:choose>
																	<c:when test="${!passen.last}">,</c:when>
																	<c:otherwise><c:if test="${!status.last}">,</c:if>
																	</c:otherwise>
																</c:choose>

															</c:if>
														</c:forEach>
													</c:forEach>
													)
												</c:if></li>
												
<c:if test="${empty bookingComponent.flightSummary}">
		 <li><fmt:formatDate type = "date" dateStyle = "medium" pattern = "EEE dd MMM YYYY" 
         value = "${bookingComponent.accommodationSummary.startDate}" /></p></li>
	</c:if>												



												<c:if test="${not empty bookingComponent.flightSummary}">
	  <c:if test="${not empty bookingComponent.flightSummary.outboundFlight}">
            <c:forEach var="outboundFlight"
                items="${bookingComponent.flightSummary.outboundFlight}">
                <c:if test="${not empty outboundFlight}">
                    <c:set var="outboundDepartureAirportName"
                        value="${outboundFlight.departureAirportName}" />
					<c:set var="outboundArrivalAirportName"
						value="${outboundFlight.arrivalAirportName}" />
                    <c:set var="outboundDepartureDate"
                        value="${outboundFlight.departureDateTime}" />
                    <c:set var="outboundDepartureTime"
                        value="${outboundFlight.departureTime}" />
                    <c:set var="outboundArrivalTime"
                        value="${outboundFlight.arrivalTime}" />
                    <c:set var="outBoundDateOffset"
                        value="${outboundFlight.flightOffsetDays}" />
                    <c:set var="outBoundCarrier"
                        value="${outboundFlight.carrier}" />
					<c:set var="outboundflightSectorType"
                        value="${outboundFlight.flightSectorType}"/>
                </c:if>
            </c:forEach>
        </c:if>
        <c:if test="${not empty bookingComponent.flightSummary.inboundFlight}">
            <c:forEach var="inboundFlight"
                items="${bookingComponent.flightSummary.inboundFlight}" varStatus="counter">

                <c:if test="${not empty inboundFlight}">
                    <c:set var="inboundDepartureAirportName"
                        value="${inboundFlight.departureAirportName}" />
                    <c:set var="inboundDepartureDate"
                        value="${inboundFlight.departureDateTime}" />
                    <c:set var="inboundDepartureTime"
                        value="${inboundFlight.departureTime}" />
                    <c:set var="inboundArrivalTime"
                        value="${inboundFlight.arrivalTime}" />
                    <c:set var="inBoundDateOffset"
                        value="${inboundFlight.flightOffsetDays}" />
                    <c:set var="inBoundCarrier"
                        value="${inboundFlight.carrier}" />
					<c:set var="inboundflightSectorType"
                        value="${inboundFlight.flightSectorType}"/>
                </c:if>
            </c:forEach>

        </c:if>

	 <c:choose>
                        <c:when test="${not empty bookingComponent.flightSummary.inboundFlight}">
						<c:set var="isRoundTrip" value="true" />

											  <li class="flight-li">
				<div class="outleft-inner-wrap">
					<span class="out-rtn">OUT</span>
		</div>
				<div class="outright-inner-wrap line-height-20">


						<span class="dep-date-cap "><fmt:formatDate
                                    value="${outboundDepartureDate}" pattern="E dd MMM yyyy" /></span>
						<c:out value="${outboundDepartureAirportName}" />


						<span>-  <c:out value="${inboundDepartureAirportName}" />. </span>



						<br>
						<span class="dis-block ">Depart: <c:out
                                    value="${outboundDepartureTime}" /> Arrive: <c:out
                                    value="${outboundArrivalTime}" />.
							<span class="bold">

								<c:set var="outBoundDateOffset" value="${outBoundDateOffset}" />
								<c:if test="${outBoundDateOffset ne 0}"> (+1 day)</c:if>
							</span>
						</span>



						<span><c:out value="${outBoundCarrier}"/>.</span><span>&nbsp;<c:out value="${outboundflightSectorType}"/></span>
					

				</div>
			</li>



            <li class="flight-li">
				<div class="outleft-inner-wrap">
					<span class="out-rtn">RTN</span>
				</div>
				<div class="outright-inner-wrap line-height-20">


						<span class="dep-date-cap "><fmt:formatDate
                                    value="${inboundDepartureDate}" pattern="E dd MMM yyyy" /></span>
						<c:out value="${inboundDepartureAirportName}" />


						<span>-  <c:out value="${outboundDepartureAirportName}" />.</span>






						<br>


						<span class="dis-block ">Depart: <c:out
                                    value="${inboundDepartureTime}" />  Arrive: <c:out
                                    value="${inboundArrivalTime}" />. <!--{% if flight.schedule.flightOffsetDays %}<b>(+{{flight.schedule.flightOffsetDays}} Day)</b>{% endif %}-->

							<span class="bold">

									<c:set var="inBoundDateOffset" value="${inBoundDateOffset}" />

									<c:if test="${inBoundDateOffset ne 0}">(+1 day)</c:if>
							</span>
						</span>


						<span><c:out value="${inBoundCarrier}"/>.</span><span>&nbsp;<c:out value="${inboundflightSectorType}"/></span>



						
				 </div>
			 </li>

						</c:when>
						<c:otherwise>
						<c:set var="isRoundTrip" value="false" />
						              <li>OUT: <c:out value="${outboundDepartureAirportName}" /> <fmt:formatDate
                                    value="${outboundDepartureDate}" pattern="E dd MMM yyyy" />. <span class="dis-block">Depart: <c:out
                                    value="${outboundDepartureTime}" /> Arrival: <c:out
                                    value="${outboundArrivalTime}" />.<span><c:out value="${outBoundCarrier}"/></span><span> - <c:out value="${outboundflightSectorType}"/></span></span></li>

						</c:otherwise>
					</c:choose>


										</c:if>

        </ul>
	</div>
</div>









	<div class="rightAlign">
    <div class="breakdown summary-group marg-bottom-20 ">
	<c:if test="${not empty bookingComponent.pricingDetails}">
                <c:set var="flightExtras" value="${bookingComponent.pricingDetails['FLIGHT_EXTRAS_PRICE_COMPONENT']}" />
	 <c:if test="${not empty flightExtras}">   
      <p class="title summary-tilte">Flight &amp; Luggage</p>	
        <ul class="grey-med">
           <c:forEach var="flightExtra" items="${flightExtras}">
                                <li>

                                <c:out
                                            value="${flightExtra.itemDescription}" /> <c:if
                                            test="${flightExtra.quantity ne null && flightExtra.quantity > 0}"> x <c:out
                                                value="${flightExtra.quantity}" />
                                        </c:if><span> <c:choose>
                                            <c:when test="${flightExtra.amount.amount > 0}">
                                            &euro;<fmt:formatNumber value="${flightExtra.amount.amount}" type="number"
                                            maxFractionDigits="2" minFractionDigits="2"
                                            pattern="#####.##" />
                                            </c:when>
                                            <c:otherwise>
											<c:if test="${flightExtra.additionalPriceInfo eq 'included'}">
									   	         <c:out value="Included" />
                                            </c:if>
                                            </c:otherwise>
                                        </c:choose>
                                </span>

                                </li>
                          </c:forEach>
        </ul>
		</c:if>
		</div>
	</c:if>
	
	
	
	 <c:if test="${not empty bookingComponent.pricingDetails}">
			<c:set var="accomExtras"
				value="${bookingComponent.pricingDetails['ACCOM_EXTRAS_PRICE_COMPONENT']}" />
			<c:if test="${not empty accomExtras}">
   <div class="breakdown summary-group marg-bottom-20 ">

        <p class="title summary-tilte">Room &amp; Board</p>
        <ul class="grey-med">
           
				<c:forEach var="accomExtra" items="${accomExtras}">
					<li class="room-board"><span><c:out value="${accomExtra.itemDescription}"
							escapeXml='false' /> <c:if
							test="${accomExtra.quantity ne null && accomExtra.quantity > 0}"> x <c:out
								value="${accomExtra.quantity}" />
						</c:if>
							</span>
						<span>
							<c:choose>
									<c:when test="${accomExtra.amount.amount > 0 && accomExtra.quantity ne null && accomExtra.quantity > 0}">
										&euro;<fmt:formatNumber value="${accomExtra.amount.amount}" type="number" maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" />
									</c:when>
									<c:otherwise>
										<c:out value="Included" />
									</c:otherwise>
							</c:choose>
						</span></li>
				</c:forEach>
			
        </ul>
    </div>
	
	</c:if>
		</c:if>

   <div class="breakdown summary-group marg-bottom-20 ">

	 <c:if test="${not empty bookingComponent.pricingDetails}">
            <c:set var="holidayExtras"
                value="${bookingComponent.pricingDetails['HOLIDAY_EXTRAS_PRICE_COMPONENT']}" />
            <c:if test="${not empty holidayExtras}">
        <p class="title summary-tilte">Extras</p>
        <ul class="grey-med">
           <c:forEach var="holidayExtra" items="${holidayExtras}">
											<li>
											<div class="holiday-li-space">
											<c:out
                                    value="${holidayExtra.itemDescription}" escapeXml="false" />
											<c:if
                                    test="${holidayExtra.quantity ne null && holidayExtra.quantity > 0 && !fn:containsIgnoreCase(holidayExtra.itemDescription,'airport')}"> x <c:out
                                        value="${holidayExtra.quantity}" />
                                </c:if> </div>
											<span class="capitalize">
								<c:choose>
                                    <c:when test="${holidayExtra.amount.amount > 0}">
                                        &euro;<fmt:formatNumber value="${holidayExtra.amount.amount}" type="number"
                                            maxFractionDigits="2" minFractionDigits="2"
                                            pattern="#####.##" />
                                    </c:when>
                                    <c:otherwise>

									   	        <c:out value="${holidayExtra.additionalPriceInfo}" />


                                    </c:otherwise>

                                </c:choose>
											</span>
											</li>
										</c:forEach>
        </ul>

		</c:if>
		</c:if>
    </div>

   <div class="breakdown summary-group price-bottom-wrap ">
   <c:set var="priceBreakDown"
            value="${bookingComponent.pricingDetails['priceBreakDown']}" />
        <c:if test="${not empty priceBreakDown}">
        <p class="title summary-tilte">Price Breakdown</p>
        <ul class="grey-med">
            <c:forEach var="priceComponent" items="${priceBreakDown}" varStatus="count">
											<li>
											<c:out
                                value="${priceComponent.itemDescription}" />

											<span >
						    <c:choose>
                                  <c:when test="${priceComponent.itemDescription == 'Online Discount' &&  priceComponent.amount.amount > 0}">
                                  <span class="red"> -&euro;<fmt:formatNumber
                                            value="${priceComponent.amount.amount}" type="number"
                                            maxFractionDigits="2" minFractionDigits="2"
                                            pattern="#####.##" /></span>
                                </c:when>
                                <c:when
                                    test="${priceComponent.itemDescription == 'Promotional Discount'}">
                                  <span class="red">  -&euro;<fmt:formatNumber
                                            value="${priceComponent.amount.amount}" type="number"
                                            maxFractionDigits="2" minFractionDigits="2"
                                            pattern="#####.##" /></span>
                                </c:when>
                                <c:otherwise>
                                    &euro;<fmt:formatNumber value="${priceComponent.amount.amount}" type="number"
                                            maxFractionDigits="2" minFractionDigits="2"
                                            pattern="#####.##" />
                                </c:otherwise>
                            </c:choose>
											</span>
											</li>
									    </c:forEach>

        </ul>
		<ul class="pricing-details">
			<li class="grey-big">Price Per Person <span>

										<c:if test="${not empty bookingComponent.pricingDetails}">
												<c:set var="perPersonPrice" value="${bookingComponent.pricingDetails['PER_PERSON_PRICE']}"/>
												<c:if test="${not empty perPersonPrice}">
													<c:forEach var="price" items="${perPersonPrice}">
														<c:if test="${price.amount.amount > 0}">
															&euro; <fmt:formatNumber value="${price.amount.amount}" type="number" maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" />
														</c:if>
													</c:forEach>
												</c:if>


											</c:if>

											</span></li>




			 <li class="grey-dark title">Total Price<span>&euro;<c:out value="${totalcost[0]}"/><c:out value=".${totalcost[1]}"/></span></li>

		</ul>

		<!--<ul class="price-per-person">

		</ul>-->


		</c:if>
    </div>

	</div>


					</div>
				</div>

	</div>
		</div>
</div>





